/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$( document ).ready(function() {
    $( "#bienvenido" ).click(function() {
        alert( "Bienvenido a jQuery" );
    }); 
});


$(function() {
    $("#bienvenido2").click(function() {
        alert("Has usado la versión corta de document.ready");
    });
});

$(function() {
    $("#llamar_id").click(function() {
        $(".class_name").css( "background-color", "transparent"); 
        $("#id_name").css( "background-color", "red"); 
    });
    
    $("#llamar_class").click(function() {
        $("#id_name").css( "background-color", "transparent"); 
        $(".class_name").css( "background-color", "red"); 
    });
});

//Método del espacio de nombres de $.fn
$("h1").click(function() {
    $(this).remove();
});

//Método del espacio de nombres de $
//Este método elimina los espacios en blanco
$.trim( "    lots of extra whitespace    " );
var myArray = [ 1, 2, 3, 5 ];
//Devuelva el index del valor encontrado en un array o si no devuelve -1
if ( $.inArray( 4, myArray ) !== -1 ) {
    console.log( "found it!" );
}

$("#callback").click(function(){
    $("#parraHide").hide("slow", function(){
        alert("El párrafo esta escondido");
    });
});